package org.gbif.regtest;

import org.gbif.api.paging.PagingResponse;
import org.gbif.registry.api.model.Dataset;
import org.gbif.registry.api.service.DatasetService;
import org.gbif.registry.ws.client.guice.AnonymousAuthModule;
import org.gbif.registry.ws.client.guice.RegistryServiceWsClientModule;

import java.util.Properties;

import com.google.common.base.Joiner;
import com.google.inject.Guice;
import com.google.inject.Injector;

public class ChecklistLister {

  public static void log(String... msg) {
    System.out.println(Joiner.on(" ").join(msg));
  }

  public static void main(String[] args) {

    Properties props = new Properties();
    props.setProperty("registry.ws.url", "http://b3g4.gbif.org:8080/registry-ws");

    log("Use registry service", props.getProperty("registry.ws.url"));
    Injector injector = Guice.createInjector(new AnonymousAuthModule(), new RegistryServiceWsClientModule(props));

    DatasetService service = injector.getInstance(DatasetService.class);

    Dataset nub = service.get("d7dddbf4-2cf0-4f39-9b2a-bb099caae36c");
    log("NUB: ", nub.getTitle());

    PagingResponse<Dataset> x = service.list(null);
    for (Dataset ds : x.getResults()) {
      log(ds.getTitle());
    }
  }
}
